Groovy 1.7.10

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class HelpCommandCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor
              org.codehaus.groovy.tools.shell.commands.HelpCommandCompletor

    class HelpCommandCompletor
    extends SimpleCompletor

Completor for the 'help' command.

Authors:
  Jason Dillon

Version:
  \$Id: HelpCommand.groovy 17536 2009-09-04 01:42:05Z glaforge \$

Constructor Summary
`HelpCommandCompletor(CommandRegistry registry)`

Method Summary
`SortedSet` | `getCandidates()`

Methods inherited from class SimpleCompletor
add, complete, leftShift

Methods inherited from class jline.SimpleCompletor

jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#wait(), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### HelpCommandCompletor

    HelpCommandCompletor(CommandRegistry registry)

Method Detail

### getCandidates

    SortedSet getCandidates()

Copyright © 2003-2010 The Codehaus. All rights reserved.